apiVersion: apps/v1
kind: Deployment
metadata:
  name: laravel-app
spec:
  replicas: 1
  selector:
    matchLabels:
      app: laravel-app
  template:
    metadata:
      labels:
        app: laravel-app
    spec:
      containers:
        - name: laravel-app
          image: clickom-20-app:latest  # ✅ Use your actual local image name
          ports:
            - containerPort: 9000
          volumeMounts:
            - name: app-code
              mountPath: /var/www
      volumes:
        - name: app-code
          hostPath:
            path: /run/desktop/mnt/host/d/work/clickom/ClickOM-2.0  # ❗Replace with actual path
